Commit b3a42719 authored by Laurent Montel's avatar Laurent Montel
Browse files

Make it compile against qt6

parent c323acc9
project(plymouthkcm)
cmake_minimum_required(VERSION 3.16)
set(KF5_MIN_VERSION "5.86")
set(KF5_MIN_VERSION "5.90")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")
set(QT_MIN_VERSION "5.15.0")
......@@ -29,7 +29,7 @@ include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)
find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui)
find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
Archive NewStuff NewStuffCore KIO Declarative I18n Config)
......
......@@ -21,7 +21,6 @@
#include <QQmlEngine>
#include <QQuickItem>
#include <QQuickWindow>
#include <QStandardItemModel>
#include <KLocalizedString>
......
......@@ -11,6 +11,7 @@
#include <KNewStuff3/KNSCore/EntryWrapper>
#include <QDir>
#include <QStandardItemModel>
#include <KQuickAddons/ConfigModule>
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment